summaryrefslogtreecommitdiffstats
path: root/spellcheck/aspell-ml/configure
diff options
context:
space:
mode:
authorSanthosh Thottingal <santhosh00@gmail.com>2007-11-03 13:02:58 -0400
committerSanthosh Thottingal <santhosh00@gmail.com>2007-11-03 13:02:58 -0400
commit4b3b23400b0384c385e9beeee6007026542f4ca7 (patch)
tree23aa17d52def84a763d517c49a9b6ff866da6398 /spellcheck/aspell-ml/configure
parent49580bf92860d0e2df036cf2e294f6b26528a5d2 (diff)
downloadAnjaliOldLipi.git-4b3b23400b0384c385e9beeee6007026542f4ca7.tar.gz
AnjaliOldLipi.git-4b3b23400b0384c385e9beeee6007026542f4ca7.tar.xz
AnjaliOldLipi.git-4b3b23400b0384c385e9beeee6007026542f4ca7.zip
commtting the project folders and placeholder folders
Diffstat (limited to 'spellcheck/aspell-ml/configure')
-rwxr-xr-xspellcheck/aspell-ml/configure89
1 files changed, 89 insertions, 0 deletions
diff --git a/spellcheck/aspell-ml/configure b/spellcheck/aspell-ml/configure
new file mode 100755
index 0000000..7d2d19f
--- /dev/null
+++ b/spellcheck/aspell-ml/configure
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Note: future version will have a syntax something like
+# ./configure [OPTIONS]
+# Where OPTIONS is any of:
+# --help
+# --codes CODE1 ...
+# --sizes SIZE1 ...
+# --jargons JARGON1 ...
+# --extras EXTRA1 ...
+# --vars VAR1=VAL1 ...
+# which is why I warn when --vars is not used before VAR1=VAL1
+
+# Avoid depending upon Character Ranges.
+# Taken from autoconf 2.50
+cr_az='abcdefghijklmnopqrstuvwxyz'
+cr_AZ='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
+cr_09='0123456789'
+cr_alnum=$cr_az$cr_AZ$cr_09
+
+# also taken form autoconf
+case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
+ *c*,-n*) ECHO_N= ECHO_C='
+' ECHO_T=' ' ;;
+ *c*,* ) ECHO_N=-n ECHO_C= ECHO_T= ;;
+ *) ECHO_N= ECHO_C='\c' ECHO_T= ;;
+esac
+
+
+mode=none
+for option
+do
+ case $option in
+ --vars)
+ mode=vars
+ ;;
+ *=*)
+ if test $mode != vars; then
+ echo "Warning: future versions will require --vars before variables are set"
+ mode=vars
+ fi
+ # Taken from autoconf 2.50
+ envvar=`expr "x$option" : 'x\([^=]*\)='`
+ optarg=`expr "x$option" : 'x[^=]*=\(.*\)'`
+ # Reject names that are not valid shell variable names.
+ expr "x$envvar" : ".*[^_$cr_alnum]" >/dev/null &&
+ { echo "$as_me: error: invalid variable name: $envvar" >&2
+ { (exit 1); exit 1; }; }
+ #echo $envvar $optarg
+ optarg=`echo "$optarg" | sed "s/'/'\\\\\\\\''/g"`
+ eval "$envvar='$optarg'"
+ export $envvar
+ ;;
+ --help)
+ echo "Usage: ./configure [--help | --vars VAR1=VAL1 ...]"
+ echo " Note: Variables may also be set in the environment brefore running config"
+ echo " Useful vars: ASPELL ASPELL_PARMS PREZIP DESTDIR"
+ exit 0
+ ;;
+ *)
+ echo "Error: unrecognized option $option";
+ exit 1
+ ;;
+ esac
+done
+
+#echo $ASPELL
+if test x = "x$ASPELL"
+ then ASPELL=aspell; fi
+if test x = "x$PREZIP"
+ then PREZIP=prezip-bin; fi
+#echo $ASPELL
+
+echo $ECHO_N "Finding Dictionary file location ... $ECHO_C"
+dictdir=`$ASPELL dump config dict-dir`
+echo $dictdir
+
+echo $ECHO_N "Finding Data file location ... $ECHO_C"
+datadir=`$ASPELL dump config data-dir`
+echo $datadir
+
+echo "ASPELL = `which $ASPELL`" > Makefile
+echo "ASPELL_FLAGS = $ASPELL_FLAGS" >> Makefile
+echo "PREZIP = `which $PREZIP`" >> Makefile
+echo "DESTDIR = $DESTDIR" >> Makefile
+echo "dictdir = $dictdir" >> Makefile
+echo "datadir = $datadir" >> Makefile
+echo >> Makefile
+cat Makefile.pre >> Makefile